New to Kendo UI for VueStart a free 30-day trial

ScrollView

Represents the Kendo UI for Vue Native ScrollView component.

jsx
<template>
  <div>
    <ScrollView
      :style="{
        width: '512px',
        height: '384px',
      }"
      :data-items="items"
      :content="'content'"
    >
      <template v-slot:content="{ props }">
        <div class="image-with-text">
          <img
            :src="props.item.url"
            :alt="`Photo ${props.item.position}`"
            :style="{
              width: '512px',
              height: '384px',
            }"
            :draggable="false"
          />
        </div>
      </template>
    </ScrollView>
  </div>
</template>

<script>
import { ScrollView } from '@progress/kendo-vue-scrollview';

export default {
  components: {
    ScrollView,
  },
  data() {
    return {
      items: [
        {
          url: 'https://www.telerik.com/kendo-vue-ui/components/layout/assets/card/kukeri.jpg',
        },
        {
          url: 'https://www.telerik.com/kendo-vue-ui/components/layout/assets/card/martenitsa.jpg',
        },
        {
          url: 'https://www.telerik.com/kendo-vue-ui/components/layout/assets/card/rose_festival.jpg',
        },
      ],
    };
  },
};
</script>
Not finding the help you need?
Contact Support

New to KendoReactStart a free 30-day trial

ScrollView
Premium

Updated on Jan 7, 2026

Represents the KendoReact ScrollView component.

A Functional Component.

jsx
const App = () => {
  const items: any[] = [
    { position: 1, url: 'https://demos.telerik.com/kendo-ui/content/web/scrollview/image1.jpg' },
    { position: 2, url: 'https://demos.telerik.com/kendo-ui/content/web/scrollview/image2.jpg' },
    { position: 3, url: 'https://demos.telerik.com/kendo-ui/content/web/scrollview/image3.jpg' }
  ];
  return (
    <ScrollView style={{width: 512, height: 384}}>
      {items.map((item, index) => {
        return (
          <div className="image-with-text" key={index}>
            <p>Showing image {item.position} of {items.length}.</p>
            <img
              src={item.url}
              alt={'Photo'}
              style={{width: 512, height: 384}}
              draggable={false}
            />
          </div>
        );
      })}
    </ScrollView>
  );
};
NameTypeDefaultDescription

props

ScrollViewProps intersected with RefAttributes<"null" | ScrollViewHandle>

The props of the ScrollView component.

Not finding the help you need?
Contact Support